Subject: seg fault via cygwin1!aclcheck() ?
From: Sophia C Yuditskaya <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sun, 18 Apr 2004 12:40:35 -0400

Hi,

I am running ns on cygwin, and after my program executes for a while with no
problems, suddenly I get a seg fault with the following backtrace (in gdb):

Program received signal SIGSEGV, Segmetation fault.
0x610ab27b in random () from /usr/bin/cygwin1.dll
(gdb) backtrace
#0 0x610ab27b in random () from /usr/bin/cygwin1.dll
#1 0x610550c6 in localtime_r () from /usr/bin/cygwin1.dll
#2 0x61086751 in cygwin1!aclcheck () from /usr/bin/cygwin1.dll
...(the rest of the trace is from my ns code)

What is wrong? It seems like a permissions problem, but my code is not writing
to a file. Although my code reads from a file, this seg fault occurs after a
great many lines have been already read from this file. Based on the back
trace, the seg fault does not occur at a point where the file is read anyway. 

How can I fix this?

Thanks,

Sophia

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/